Logoelepay
Customer

Update customer

カスタマを更新します。

POST
/customers/{customerId}

Authorization

AuthorizationBearer <token>

API呼出すの認証は、秘密鍵を認証トークンとして扱い、Bearer 認証経由で行われます。 秘密鍵は、全ての API リクエスト操作が可能となる重要なキーなので、取扱いにご注意ください。

In: header

Path Parameters

customerId*string

Customer ID

Request Body

application/json;charset=utf-8

カスタマリクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json;charset=utf-8

curl -X POST "https://api.elepay.io/customers/string" \  -H "Content-Type: application/json;charset=utf-8" \  -d ''
{
  "id": "string",
  "object": "customer",
  "liveMode": true,
  "defaultSource": "string",
  "name": "string",
  "description": "string",
  "email": "string",
  "phone": "string",
  "remark": "string",
  "operator": "string",
  "status": "active",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "updateTime": 0
}